Subject: [Idr] Re: AD Review comments on draft-ietf-idr-restart

From: Bill Fenner <[email-masked]>
Date: Tue, 16 May 2006 11:15:12 -0700

>So, I'd say the draft is correct in spirit, but 
>in reviewing it I see that the words are kind of 
>broken (in part because the base spec changed 
>since we wrote the draft, and in part because as 
>you point out TcpConnectionFails has more baggage 
>than we wanted).

I expected that was part of it - the target FSM wasn't
the one that finally got published.

>Here's a proposal for wording that matches the 
>FSM of RFC 4271.

Seems reasonable.  My only suggestion is to change the
order of the following:

>       If the local system receives a NOTIFICATION message (Event 24 or
>       Event 25) or if the Graceful Restart capability with one or more
>       AFI/SAFI has not been received for the session and the local
>       system receives a TcpConnectionFails (Event 18) from the
>       underlying TCP, the local system:

to "..or if the system receives ... and the Graceful Restart
capability .. has not been received ..." -- since the trigger
is "receives a TcpConnectionFails" and then the condition of
whether it picks this rule or the next one is the capability.
I'd suggest rephrasing the other conditional similarly:

>       However, if the Graceful Restart capability with one or more
>       AFI/SAFI has been received for the session and the local system
>       receives a TcpConnectionFails (Event 18) from the underlying TCP,
>       the local system:

Otherwise, it makes sense.  I agree that there's no need to
add a zero-time state to make this decision, and conditions
in order to decide the proper transition are OK.

When you update the draft with these changes, would you please consider
my other comments (on an IANA considerations section and guidance on
setting the timer) at the same time?

Thanks,
  Bill

_______________________________________________
Idr mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/idr